using EDPlayerJournal.Entries;

namespace EDPlayerJournal.BGS.Parsers;

internal class MusicParser : ITransactionParserPart {
    public void Parse(Entry entry, TransactionParserContext context, TransactionParserOptions options, TransactionList transactions) {
        MusicEntry? entryMusic = (MusicEntry)entry;

        if (entryMusic == null) {
            return;
        }

        if (string.Compare(entryMusic.MusicTrack, "Combat_CapitalShip") == 0) {
            context.HaveSeenCapShip = true;
        }
    }
}
